Subject: Re: [PATCH 10/10] push: teach push to be quiet if local ref is strict subset of remote ref

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 Nov 2007 13:19:58 -0700

Junio C Hamano <[email-masked]> writes:

> If you linearlize the history by rebasing the lower branch on
> top of upper, instead of merging, the bug becomes much easier to
> find and understand.  Your history would instead be:
>
>     ---Z---o---X'--...---o---A---o---o---Y'--...---o---B'--D'
>
> and there is a single commit Y' between A and B' that introduced
> the new calling site that still uses the new semantics of the
> function that was already in A.  "git show Y'" will be a much
> smaller patch than "git diff A C" and it is much easier to deal
> with.

Typo.  Y' uses "the old semantics of the function, even though
that was already modified at X'".